package cmht.tfm.uoc.diariosalud;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.List;

import cmht.tfm.uoc.diariosalud.R;
import cmht.tfm.uoc.diariosalud.clases.IntentHelper;
import cmht.tfm.uoc.diariosalud.HoyActivity;

public class ListViewSintomasActivity extends Activity {
    /**
     * Called when a view has been clicked.
     *
     * @param v The view that was clicked.
     */
    public static final String ACTIVIDAD = "ListViewSintomasActivity";
    private ListView listViewSintomas;
    private Button btnListSintomas;
    private String listaS[];
    private IntentHelper myIntentHelper;
    private Intent myIntent;
    private String SintomasTotales = "";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        Log.d("--Print: ", "ListViewSintomasActivity.onCreate");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list_view_sintomas);
        listViewSintomas = (ListView) findViewById(R.id.lvSintomas_2);
        btnListSintomas = (Button) findViewById(R.id.btInsertSintomas);
        listaS = new String[]{(getResources().getString(R.string.txSintoma1)),
                (getResources().getString(R.string.txSintoma2)),
                (getResources().getString(R.string.txSintoma3)),
                (getResources().getString(R.string.txSintoma4)),
                (getResources().getString(R.string.txSintoma10)),
                (getResources().getString(R.string.txSintoma6)),
                (getResources().getString(R.string.txSintoma9))};
        myIntent = getIntent();
        Log.d("--Print: ", "getIntent() " + myIntent);
        myIntentHelper = new IntentHelper();
        myIntent = myIntentHelper.getMiIntentPropiedades(myIntent);

        ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_multiple_choice, listaS);
        listViewSintomas.setAdapter(adaptador);
        listViewSintomas.setChoiceMode(ListView.CHOICE_MODE_MULTIPLE);

        btnListSintomas.setOnClickListener(new View.OnClickListener() {

            /**
             * Called when a view has been clicked.             *
             * @param v The view that was clicked.
             */
            @Override
            public void onClick(View v) {
                Log.d("--Print: ", "ListViewSintomasActivity.onClick");
                SparseBooleanArray sba = listViewSintomas.getCheckedItemPositions();
                for (int i = 0; i < sba.size(); i++) {
                    if (sba.valueAt(i)) {
                        //    Toast.makeText(getApplicationContext(),listaS[sba.keyAt(i)],Toast.LENGTH_SHORT).show();
                        if (SintomasTotales.length() > 0) {
                            SintomasTotales = SintomasTotales + ", " + listaS[sba.keyAt(i)];
                        } else {
                            SintomasTotales = listaS[sba.keyAt(i)];
                        }
                    }
                }

                //Toast.makeText(getBaseContext(), "Pulso el boton de sintomas " , Toast.LENGTH_SHORT).show();
                Intent intent;
                intent = getIntent();
                intent = new Intent(ListViewSintomasActivity.this, HoyActivity.class);
                intent = myIntentHelper.setNewIntentWithOldIntent(intent, myIntent);
                intent = myIntentHelper.setMiIntentSintomas(intent, SintomasTotales + "", ACTIVIDAD);
                intent = myIntentHelper.getMiIntentPropiedades(intent);
                startActivity(intent);
                Log.d("--Print: ", "ListViewSintomasActivity.onClick. SintomasTotales " + SintomasTotales);
                //Toast.makeText(getApplicationContext(),SintomasTotales,Toast.LENGTH_LONG).show();
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_list_view_sintomas, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }


}
