package cmht.tfm.uoc.diariosalud;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.app.Activity;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;


public class SintomasActivity extends Activity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sintomas);

        //botones
        Button btGenerarInforme = (Button) findViewById(R.id.btGenerarInforme);
        btGenerarInforme.setOnClickListener(this);

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        Log.d("--Print: ", "MainActivity.onCreateOptionsMenu");
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_sintomas, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        Log.d("--Print: ", "SintomasActivity.onOptionsItemSelected");
        Intent intent;
        switch (item.getItemId()) {
            case R.id.home:
                intent = new Intent(SintomasActivity.this, MainActivity.class);
                startActivity(intent);
                //finish();
                break;
            case R.id.menu_hoy:
                intent = new Intent(SintomasActivity.this, HoyActivity.class);
                startActivity(intent);
                //finish();
                break;
            case R.id.menu_calendario:
                intent = new Intent(SintomasActivity.this, CalendarioActivity.class);
                startActivity(intent);
                //finish();
                break;
            case R.id.menu_sintomas:
                //  intent = new Intent(SintomasActivity.this, SintomasActivity.class);
                //  startActivity(intent);
                //   finish();
                break;
            //case R.id.guardar:
            //   intent = new Intent(SintomasActivity.this, SintomasActivity.class);
            //   startActivity(intent);
            //   finish();
            //   break;
            //case R.id.salir:
            //intent = new Intent(Intent.ACTION_MAIN);
            //finish();
            //break;
            default:
                break;

        }

        return super.onOptionsItemSelected(item);
    }

    /**
     * Called when a view has been clicked.
     *
     * @param view The view that was clicked.
     */
    @Override
    public void onClick(View view) {
        String msg = "";
        switch (view.getId()) {
            case R.id.btGenerarInforme:
                msg = getResources().getString(R.string.txToastActividadSintomas);
                break;
            default:
                break;
        }
        Toast.makeText(getBaseContext(), msg, Toast.LENGTH_LONG).show();
    }
}
