package cmht.tfm.uoc.diariosalud.clases;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

/**
 * Created by cmht on 13/05/2015.
 */
public class IntentHelper {

   public Intent setMiIntentPropiedades(Intent myIntent, String day, String month, String year, String estrellas, String texto, String foto, String sintomas, String actividad) {
        Log.d("--Print: ", "IntentHelper.setMiIntentPropiedades");
       String tDay = day+"";
       tDay=tDay.trim();
       while(tDay.length()<2) {
           tDay = "0"+tDay;
       }
       String tMonth = month+"";
       tMonth=tMonth.trim();
       while(tMonth.length()<2) {
           tMonth = "0"+tMonth;
       }
       String tYear = year+"";
       tYear=tYear.trim();
       if(tYear.length()<4) {
           tYear = "0000";
       }
        myIntent.putExtra("dia", tDay);
        myIntent.putExtra("mes", tMonth);
        myIntent.putExtra("anyo", tYear);
        myIntent.putExtra("estrellas", estrellas);
        myIntent.putExtra("texto", texto);
        myIntent.putExtra("foto", foto);
        myIntent.putExtra("actividad", actividad);
        myIntent.putExtra("sintomas", sintomas);
        Log.d("--Print: ", "IntentHelper.setMiIntentPropiedades: Actividad" +
                actividad + " dia" +
                day + " mes" +
                month + " month" +
                year + " estrella" +
                estrellas + " texto" +
                texto + " foto" +
                foto + " sintomas" +
                sintomas + " ");
        return myIntent;
    }

    public Intent setMiIntentFoto(Intent myIntent, String foto, String actividad) {
        Log.d("--Print: ", "IntentHelper.setMiIntentFoto");
        myIntent.putExtra("foto", foto);
        myIntent.putExtra("actividad", actividad);

        Log.d("--Print: ", "IntentHelper.setMiIntentFoto: " +
                actividad + " " +
                foto + " ");
        getMiIntentPropiedades(myIntent);
        return myIntent;
    }

    public String getFoto(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getTexto");
        String foto="99";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getFoto " + bundle);
            if (bundle != null) {
                foto = bundle.getString("foto");
                Log.d("--Print: ", "IntentHelper.getTexto: " +
                        foto + " ");
            }
            try {
                int a= Integer.parseInt(foto);
            }catch (Exception E){
                foto="99";
            }
        }
        return foto;
    }

    public String getTexto(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getTexto");
        String texto="";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getTexto " + bundle);
            if (bundle != null) {
                texto = bundle.getString("texto");
                Log.d("--Print: ", "IntentHelper.getTexto: " +
                        texto + " ");
            }
        }
        return texto;
    }

    public String getEstrellas(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getEstrellas");
        String estrellas="0";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getEstrellas " + bundle);
            if (bundle != null) {
                estrellas = bundle.getString("estrellas");
                Log.d("--Print: ", "IntentHelper.getEstrellas: " +
                        estrellas + " ");
            }
            try {
                float a= Float.parseFloat(estrellas);
            }catch (Exception E){
                estrellas="0";
            }

        }
        return estrellas;
    }

    public String getDia(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getDia");
        String dia="99";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getDia " + bundle);
            if (bundle != null) {
                dia = bundle.getString("dia");
                dia=dia.trim();
                while(dia.length()<2) {
                    dia = "0"+dia;
                }
                Log.d("--Print: ", "IntentHelper.getDia: " + dia );
            }
        }
        return dia;
    }

    public String getMes(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getMes");
        String mes="99";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getMes " + bundle);
            if (bundle != null) {
                mes = bundle.getString("mes");
                mes=mes.trim();
                while(mes.length()<2) {
                    mes = "0"+mes;
                }
                Log.d("--Print: ", "IntentHelper.getMes: " + mes );
            }
        }
        return mes;
    }

    public String getYear(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getYear");
        String year="99";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.year " + bundle);
            if (bundle != null) {
                year = bundle.getString("anyo");
                year=year.trim();
                if(year.length()<4) {
                    year = "0000";
                }
                Log.d("--Print: ", "IntentHelper.year: " + year );
            }
        }
        return year;
    }

    public String getActividad(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getActividad");
        String ac="99";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getActividad " + bundle);
            if (bundle != null) {
                ac = bundle.getString("actividad");
                Log.d("--Print: ", "IntentHelper.getActividad: " + ac );
            }
        }
        return ac;
    }
    public String getSintomas(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getSintomas");
        String sintomas="";
        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getSintomas " + bundle);
            if (bundle != null) {
                sintomas = bundle.getString("sintomas");
                Log.d("--Print: ", "IntentHelper.getSintomas: " +
                        sintomas + " ");
            }
        }
        return sintomas;
    }
    public Intent setMiIntentSintomas(Intent myIntent, String sintomas, String actividad) {
        Log.d("--Print: ", "IntentHelper.setMiIntentSintomas");
        myIntent.putExtra("sintomas", sintomas);
        myIntent.putExtra("actividad", actividad);

        Log.d("--Print: ", "IntentHelper.setMiIntentSintomas: " +
                actividad + " " +
                sintomas + " ");
        getMiIntentPropiedades(myIntent);
        return myIntent;
    }
    public Intent getMiIntentPropiedades(Intent myIntent) {
        Log.d("--Print: ", "IntentHelper.getMiIntentPropiedades");

        if (myIntent != null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.getMiIntentPropiedades. bundle: " + bundle);
            if (bundle != null) {
                String dia = bundle.getString("dia");
                String mes = bundle.getString("mes");
                String year = bundle.getString("anyo");
                String estrellas = bundle.getString("estrellas");
                String texto = bundle.getString("texto");
                String foto = bundle.getString("foto");
                String sintomas = bundle.getString("sintomas");
                String ac = bundle.getString("actividad");
                Log.d("--Print: ", "IntentHelper.getMiIntentPropiedades: " +
                        ac + " " +
                        dia + " " +
                        mes + " " +
                        year + " " +
                        estrellas + " " +
                        texto + " " +
                        sintomas + " " +
                        foto + " ");
            }
        }
        return myIntent;
    }

    public Intent setNewIntentWithOldIntent(Intent newIntent,Intent oldIntent ) {
        Log.d("--Print: ", "IntentHelper.setNewIntentWithOldIntent");

        if (oldIntent != null) {
            Bundle bundle = oldIntent.getExtras();
            Log.d("--Print: ", "IntentHelper.setNewIntentWithOldIntent. bundle: " + bundle);
            if (bundle != null) {
                String dia = bundle.getString("dia");
                String mes = bundle.getString("mes");
                String year = bundle.getString("anyo");
                String estrellas = bundle.getString("estrellas");
                String texto = bundle.getString("texto");
                String foto = bundle.getString("foto");
                String ac = bundle.getString("actividad");
                String sintomas = bundle.getString("sintomas");

                Log.d("--Print: ", "IntentHelper.setNewIntentWithOldIntent: " +
                        ac + " " +
                        dia + " " +
                        mes + " " +
                        year + " " +
                        estrellas + " " +
                        texto + " " +
                        sintomas + " " +
                        foto + " ");
                newIntent.putExtra("dia", dia);
                newIntent.putExtra("mes", mes);
                newIntent.putExtra("anyo", year);
                newIntent.putExtra("estrellas", estrellas);
                newIntent.putExtra("texto", texto);
                newIntent.putExtra("foto", foto);
                newIntent.putExtra("sintomas", sintomas);
                newIntent.putExtra("actividad", ac);
            }
        }
        return newIntent;

    }
}
