package cmht.tfm.uoc.diariosalud.tests;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

import junit.framework.TestCase;


import cmht.tfm.uoc.diariosalud.R;
import cmht.tfm.uoc.diariosalud.clases.IntentHelper;

/**
 * Created by cmht on 07/06/2015.
 */
public class IntentHelperTest extends TestCase {
    private IntentHelper miIntenteHelper= new IntentHelper();
    private Intent miIntent =new Intent();

    public void testSetMiIntentPropiedades() throws Exception {
        miIntent=miIntenteHelper.setMiIntentPropiedades(miIntent, "01", "12", "2015", "2","Prueba Texto", "4","Dolor Muscular","HoyActivity");
        assertNotNull(miIntent);

        }

    public void testSetMiIntentFoto() throws Exception {

        miIntent= miIntenteHelper.setMiIntentFoto(miIntent, "5","HoyActivity");
        assertNotNull(miIntent);
        String mifoto= miIntenteHelper.getFoto(miIntent);
        assertEquals("5",mifoto);

    }

    public void testGetFoto() throws Exception {
        miIntent= miIntenteHelper.setMiIntentFoto(miIntent, "5","HoyActivity");
        assertNotNull(miIntent);
        String mifoto= miIntenteHelper.getFoto(miIntent);
        assertEquals("5",mifoto);
    }

    public void testGetTexto() throws Exception {
        miIntent=miIntenteHelper.setMiIntentPropiedades(miIntent, "01", "12", "2015", "2","Prueba Texto", "4","Dolor Muscular","HoyActivity");
        assertNotNull(miIntent);
        String miTexto= miIntenteHelper.getTexto(miIntent);
        assertEquals("Prueba Texto",miTexto);
    }

    public void testGetEstrellas() throws Exception {
        miIntent=miIntenteHelper.setMiIntentPropiedades(miIntent, "01", "12", "2015", "2","Prueba Texto", "4","Dolor Muscular","HoyActivity");
        assertNotNull(miIntent);
        String miEstrella= miIntenteHelper.getEstrellas(miIntent);
        assertEquals("2",miEstrella);
    }

}