package cmht.tfm.uoc.diariosalud.tests;

import android.test.ActivityInstrumentationTestCase2;
import android.widget.Button;
import android.widget.TextView;

import junit.framework.TestCase;
import cmht.tfm.uoc.diariosalud.MainActivity;
import cmht.tfm.uoc.diariosalud.R;

/**
 * Created by cmht on 01/06/2015.
 */
public class MainActivityTest extends ActivityInstrumentationTestCase2<MainActivity> {

    private MainActivity miActividad ;
    private Button miBoton1;
    private Button miBoton2;
    private Button miBoton3;
    private String miTexto1 ;
    private String miTexto2;
    private String miTexto3 ;

    public MainActivityTest(Class<MainActivity> activityClass) {
        super(activityClass);
    }
    protected  void setUp() throws Exception {
        super.setUp();
        miActividad = this.getActivity();
        miBoton1 = (Button)miActividad.findViewById(R.id.btCalendario);
        miBoton2 = (Button)miActividad.findViewById(R.id.btHoy);
        miBoton3 = (Button)miActividad.findViewById(R.id.btSintomas);
        miTexto1 =miActividad.getResources().getString(R.string.btCalendario);
        miTexto2 =miActividad.getResources().getString(R.string.btHoy);
        miTexto3 =miActividad.getResources().getString(R.string.btSintomas);

    }

    public void testPreconditions() {
        assertNotNull(miActividad);
        assertNotNull(miBoton1);
        assertNotNull(miBoton2);
        assertNotNull(miBoton3);
    }
    public void test1() {
        assertEquals(miTexto1, (String) miBoton1.getText());
        assertEquals(miTexto2, (String) miBoton2.getText());
        assertEquals(miTexto3, (String) miBoton3.getText());
    }
}
