package cmht.tfm.uoc.diariosalud.tests;

import junit.framework.TestCase;

import cmht.tfm.uoc.diariosalud.clases.Sintoma;

/**
 * Created by cmht on 07/06/2015.
 */
public class SintomaTest extends TestCase {
    Sintoma miSintoma =new Sintoma();


    public void testGetNombre() throws Exception {
        miSintoma.setNombre("SintomaPrueba");
        String miNombre =  miSintoma.getNombre();
        assertEquals("SintomaPrueba",miNombre);

    }

    public void testGetActivo() throws Exception {
        miSintoma.setActivo(true);
        boolean miActivo =  miSintoma.getActivo();
        assertTrue(miActivo);

    }

    public void testGetEstado() throws Exception {
        miSintoma.setEstado(1);
        int miEstado =  miSintoma.getEstado();
        assertEquals(1,miEstado);

    }

    public void testToString() throws Exception {
        miSintoma.setEstado(1);
        miSintoma.setActivo(false);
        miSintoma.setNombre("SintomaPruebaTo");

       String miImpresion = miSintoma.toString();
        String laImpresion = "Sintoma{" +
                "nombre= " + "SintomaPruebaTo" + '\'' +
                ", activo = " + "false" +
                ", estado = " + "1" +
                '}';
        assertEquals(miImpresion,laImpresion);

    }
}