package cmht.tfm.uoc.diariosalud;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RatingBar;
import android.widget.SimpleCursorAdapter;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.Calendar;

import cmht.tfm.uoc.diariosalud.adaptadores.AdaptadorSintomas;
import cmht.tfm.uoc.diariosalud.clases.DataBaseManager;
import cmht.tfm.uoc.diariosalud.clases.IntentHelper;
import cmht.tfm.uoc.diariosalud.clases.Sintoma;


public class HoyOldActivity extends Activity implements  View.OnClickListener {
    //Clase Anterior no valida
    //Declaramos los elemtos de la actividad
    public static final String ACTIVIDAD = "HoyActivity";
    private TextView txHoy;
    private EditText tx_1;
    private RatingBar rb_Estrellas;
    private ListView lvsintomas;
    private Button btInserImagen;
    private ImageView imagen_1;
    private Calendar cal;
    private int day;
    private int month;
    private int year;
    private String sintomas="";
    private String bundleDay;
    private String bundleMonth;
    private String bundleYear;
    private Integer[] imagenes = new Integer[]{
            R.mipmap.pic1, R.mipmap.pic2, R.mipmap.pic3,
            R.mipmap.pic4, R.mipmap.pic5, R.mipmap.pic6,
            R.mipmap.pic7, R.mipmap.pic8, R.mipmap.pic9,
            R.mipmap.pic10, R.mipmap.pic11,
            R.mipmap.pic12, R.mipmap.pic13,
            R.mipmap.pic14, R.mipmap.pic15, R.mipmap.pic16,
            R.mipmap.pic17, R.mipmap.pic18
    };

    private Sintoma[] sintomasArgs;
    private ArrayList<Sintoma> miSintomas;
    private int numFotoAlmacenar = 0;
    //fecha
    private String fechaBd = null;
    private String fechaPantalla = null;
    //base de datos
    private DataBaseManager managerBd;
    private Cursor cursor;
    SimpleCursorAdapter adapterCursor;
    private String bundleFecha;


    private Intent i;
    private IntentHelper myIntentHelper;
    private Context contexto;

    public static final String TABLE_NAME = "EntradaDiario";
    public static final String COL_ID = "_id";
    public static final String COL_FECHA = "fecha";
    public static final String COL_ESTRELLAS = "estrellas";
    public static final String COL_TEXTO = "texto";
    public static final String COL_IMAGEN = "imagen";

    private String bdFecha = "";
    private String bdId = "";
    private String bdEstrella = "";
    private String bdTexto = "";
    private String bdImagen = "";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        Log.d("--Print: ", "HoyActivity.onCreate");

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_hoy);

        //Inicializamos los elemtos de la actividad
        tx_1 = (EditText) findViewById(R.id.etx_1);
        rb_Estrellas = (RatingBar) findViewById(R.id.rb_Estrellas);
        btInserImagen = (Button) findViewById(R.id.btInserImagen);
        imagen_1 = (ImageView) findViewById(R.id.imagen_1);
        txHoy = (TextView) findViewById(R.id.tvHoy);
        lvsintomas = (ListView) findViewById(R.id.lvSintomas);
        //Guardamos el contexto
        contexto = HoyOldActivity.this.getApplicationContext();
        //Listener
        btInserImagen.setOnClickListener(this);

        //Mostramos la actionBar
        ActionBar actionBar = getActionBar();
        actionBar.show();
        //Preparamos los campos

        //Miramos si venimos de otra actividad
        setDatosOtraActividad();
        //Cargamos la Listview de sintomas
        sintomasArgs = new Sintoma[]{
                new Sintoma(getResources().getString(R.string.txSintoma1), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma2), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma3), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma4), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma5), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma6), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma7), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma8), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma9), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma10), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma11), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma12), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma13), false, -1),
                new Sintoma(getResources().getString(R.string.txSintoma14), false, -1)
        };


 //       miSintomas=new ArrayList<Sintoma>();
 //       miSintomas.add(new Sintoma(getResources().getString(R.string.txSintoma1), false, -1));
 //       miSintomas.add(new Sintoma(getResources().getString (R.string.txSintoma2),false,-1));
 //       miSintomas.add(new Sintoma(getResources().getString (R.string.txSintoma3),false,-1));
 //       miSintomas.add(new Sintoma(getResources().getString (R.string.txSintoma4),false,-1));
 //       miSintomas.add(new Sintoma(getResources().getString (R.string.txSintoma5),false,-1));
 //       miSintomas.add(new Sintoma(getResources().getString(R.string.txSintoma6), false, -1));
 //       miSintomas.add(new Sintoma(getResources().getString (R.string.txSintoma7),false,-1));
 //       miSintomas.add(new Sintoma(getResources().getString(R.string.txSintoma8), false, -1));

 //       AdaptadorSintoma adaptadorSintoma =new AdaptadorSintoma(miSintomas,HoyActivity.this.getApplicationContext());
 //       AdaptadorSintoma adaptadorSintoma =new AdaptadorSintoma(miSintomas,this);
 //       Log.d("--Print: ", "HoyActivity--lvsintomas.setAdapte 111111111111111");
 //       lvsintomas.setAdapter(adaptadorSintoma);
 //       Log.d("--Print: ", "HoyActivity--lvsintomas.setAdapte 2222222222222");
 //       lvsintomas.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            /**
             * Callback method to be invoked when an item in this AdapterView has
             * been clicked.
             * <p/>
             * Implementers can call getItemAtPosition(position) if they need
             * to access the data associated with the selected item.
             *
             * @param parent   The AdapterView where the click happened.
             * @param view     The view within the AdapterView that was clicked (this
             *                 will be a view provided by the adapter)
             * @param position The position of the view in the adapter.
             * @param id       The row id of the item that was clicked.
             */
//            @Override
//            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
//                Log.d("--Print: ", "HoyActivity.onItemClick: " + position);
//                Toast.makeText(HoyActivity.this,"nombre "+ miSintomas.get(position).getNombre()+
//                        " check "+ miSintomas.get(position).getActivo()+
//                        " radio "+ miSintomas.get(position).getEstado()
//                        , Toast.LENGTH_LONG).show();
//            }
//        });

        /*TODO. HoyActivity.  Hacer metodo para inicializar hoy si no exite la base de datos */
        /*TODO. HoyActivity.  Hacer metodo para recoger datos de la base de datos */

        //sintomas
        //ArrayAdapter<String> adaptadorSintomas;
        //adaptadorSintomas =new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,sintomas);
        //ListView lvsintomas= (ListView) findViewById(R.id.lvSintomas);
        //lvsintomas.setAdapter(adaptadorSintomas);
        //for (int i=0;i <sintomasArgs.length ; i++){
        //Log.d("--Print: ", "HoyActivity.sintoma: " + sintomasArgs[i].getNombre());

        // Mostramos los sintomas con la apariencia que hemos disenyado.
        //Comentado para pruebas 20 de Mayo descomentas
        AdaptadorSintomas adaptadorSintomas = new AdaptadorSintomas(this, sintomasArgs);
        lvsintomas = (ListView) findViewById(R.id.lvSintomas);
        lvsintomas.setAdapter(adaptadorSintomas);
        lvsintomas.getId();

        lvsintomas.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Log.d("--Print: ", "HoyActivity.onItemClick " + sintomasArgs[position].getNombre() + " " + sintomasArgs[position].getActivo() + " " + sintomasArgs[position].getEstado());

            }
        });



    //pruebas 21 de mayo 2
    //lvsintomas.

    //pruebas 21 de mayo 2


    //   18 Mayo.Pruebas comentadas
    //  for (int i=0;i <5 ; i++){
    //       Log.d("--Print: ", "HoyActivity.adapter: " + i);
    //       lvsintomas.getAdapter().getView(i, lvsintomas,lvsintomas);
    //   }
    //  }
}

    public void OnClickListener(ListView parent, View view, int position, long id){
        Log.d("--Print: ", "HoyActivity.OnClickListener ");
        Toast.makeText(this, "Has selecionado "+ sintomasArgs[position], Toast.LENGTH_SHORT).show();
    }

     public void onclickCheckbox2(View view) {
         Log.d("--Print: ", "HoyActivity.onclickCheckbox ");
         CheckBox checkSintoma= ((CheckBox)  findViewById(R.id.cbSintoma));
         RadioButton rb1= (RadioButton) findViewById(R.id.rbSintoma2);
         RadioButton rb2= (RadioButton) findViewById(R.id.rbSintoma3);
         RadioButton rb3= (RadioButton) findViewById(R.id.rbSintoma4);

         Boolean check=checkSintoma.isChecked();
        if (check) {
            Log.d("------CHECK", "yes");

            rb1.setEnabled(true);
            rb2.setEnabled(true);
            rb3.setEnabled(true);
            Log.d("------ACTIVO los check", "yes");
            Toast.makeText(HoyOldActivity.this,"Checked", Toast.LENGTH_LONG).show();
        }
         else {
            rb1.setEnabled(false);
            rb2.setEnabled(false);
            rb3.setEnabled(false);
        }
    }
    public void onclickCheckbox(View view) {
        Log.d("--Print: ", "HoyActivity.onclickCheckbox ");
        Log.d("--Print: ", "HoyActivity.Hoyactivity.onclickCheckbox: tag: " + view.getTag());
        Log.d("--Print: ", "HoyActivity.Hoyactivity.onclickCheckbox: id: " + view.getId());

        int tam=sintomasArgs.length;
        tam=1;
        for (int i =0;i<tam;i++)
            view = lvsintomas.getAdapter().getView(i, lvsintomas, lvsintomas);
        Log.d("--Print: ", "HoyActivity.Hoyactivity.onclickCheckbox: " + view.getTag());

  /*      CheckBox checkSintoma= ((CheckBox)  findViewById(R.id.cbSintoma));
        RadioButton rb1= (RadioButton) findViewById(R.id.rbSintoma2);
        RadioButton rb2= (RadioButton) findViewById(R.id.rbSintoma3);
        RadioButton rb3= (RadioButton) findViewById(R.id.rbSintoma4);

        Boolean check=checkSintoma.isChecked();
        if (check) {
            Log.d("------CHECK", "yes");

            rb1.setEnabled(true);
            rb2.setEnabled(true);
            rb3.setEnabled(true);
            Log.d("------ACTIVO los check", "yes");
            Toast.makeText(HoyActivity.this,"Checked", Toast.LENGTH_LONG).show();
        }
        else {
            rb1.setEnabled(false);
            rb2.setEnabled(false);
            rb3.setEnabled(false);
        }*/
    }
    public void itemClicked(View v) {
        if (((CheckBox) v).isChecked()) {
            Log.d("--Print: ", "HoyActivity.Hoyactivity.itemClicked: tag: " + v.getTag());
            Log.d("--Print: ", "HoyActivity.Hoyactivity.itemClicked: id: " + v.getId());

            Toast.makeText(HoyOldActivity.this,
                    "Checked", Toast.LENGTH_SHORT).show();
            lvsintomas.getTag();
            int tam = sintomasArgs.length;
            tam=1;
            for (int i =0;i<tam;i++)
            v = lvsintomas.getAdapter().getView(i, lvsintomas, lvsintomas);
            Log.d("--Print: ", "HoyActivity.Hoyactivity.itemClicked: " + v.getTag());


        }

    /*    Log.d("--Print: ", "HoyActivity.Hoyactivity.onStop: sintomasArgs.length: " + sintomasArgs.length);
        for (int i = 0; i < sintomasArgs.length; i++) {
            v = lvsintomas.getAdapter().getView(i, lvsintomas, lvsintomas);
            Log.d("--Print: ", "HoyActivity.Hoyactivity.onStop: " +v.getTag());
            //Log.d("--Print: ", "Hoyactivity.onStop vsintomas.getId(): " +v.getId() );


        }*/
    }

    public void onClick(View view) {
        Log.d("--Print: ", "HoyActivity.onClick");
        // imagen_1.setImageResource(R.mipmap.prototipo2);
        Toast.makeText(getBaseContext(), "Pulso el boton de imagen " , Toast.LENGTH_SHORT).show();
        Intent intencion;
        intencion = getIntent();

        intencion = new Intent(HoyOldActivity.this, FotosActivity.class);
        myIntentHelper.setMiIntentPropiedades(intencion, day + "", month + "", year + "", rb_Estrellas.getRating() + "", tx_1.getText() + "", numFotoAlmacenar + "", sintomas + "", ACTIVIDAD);
        startActivity(intencion);


    }
    public void eventoInsertarImagen(View view){
        imagen_1.setImageResource(R.mipmap.prototipo2);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        Log.d("--Print: ", "HoyActivity.onCreateOptionsMenu");
        // Inflate the menu; this adds items to the action bar if it is present.
        MenuInflater mif =getMenuInflater();
        mif.inflate(R.menu.menu_main, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        Log.d("--Print: ", "HoyActivity.onOptionsItemSelected");
        Intent intent= null;
        switch (item.getItemId()){
            case R.id.home:
                intent = new Intent(HoyOldActivity.this, MainActivity.class);
                setMiIntentPropiedades(intent);
                myIntentHelper.setMiIntentPropiedades(intent, day + "", month + "", year + "", rb_Estrellas.getRating() + "", tx_1.getText() + "", numFotoAlmacenar + "", sintomas + "" , ACTIVIDAD);
                startActivity(intent);
                break;
            case R.id.menu_hoy:
                intent = new Intent(HoyOldActivity.this, HoyOldActivity.class);
              //  myIntentHelper.setMiIntentPropiedades(intent, day+"",month+"", year+"",rb_Estrellas.getRating()+"",tx_1.getText()+"",numFotoAlmacenar+"", ACTIVIDAD);
                startActivity(intent);
                break;
            case R.id.menu_calendario:
                intent = new Intent(HoyOldActivity.this, CalendarioActivity.class);
              //  setMiIntentPropiedades(intent);
                myIntentHelper.setMiIntentPropiedades(intent, day+"",month+"", year+"",rb_Estrellas.getRating()+"",tx_1.getText()+"",numFotoAlmacenar+"", sintomas + "" , ACTIVIDAD);
                startActivity(intent);
                break;
            case R.id.menu_sintomas:
                intent = new Intent(HoyOldActivity.this, SintomasActivity.class);
                //setMiIntentPropiedades(intent);
                myIntentHelper.setMiIntentPropiedades(intent, day+"",month+"", year+"",rb_Estrellas.getRating()+"",tx_1.getText()+"",numFotoAlmacenar+"", sintomas + "" , ACTIVIDAD);
                startActivity(intent);
                break;
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onStart(){
        super.onStart();
        Log.d("--Print: ", "HoyActivity.onStart");
    }

    @Override
    public void onRestart(){
        super.onRestart();
        Log.d("--Print: ", "HoyActivity.onRestart");
    }

    @Override
    public void onResume(){
        super.onResume();
        Log.d("--Print: ", "HoyActivity.onResume");
        /* TODO onResume(). Miraremos si hay datos de este dia en la base de datos para recuperarlos */
    }

    @Override
    public void onPause(){
        super.onPause();
        Log.d("--Print: ", "HoyActivity.onPause");
    }

    @Override
    public void onStop() {
        super.onStop();
        Log.d("--Print: ", "Hoyactivity.onStop");
        //Guardamos en la base de datos
        String hoyTexto = tx_1.getText() + "";
        String hoyEstrellas = rb_Estrellas.getRating() + "";
        String hoyFotoAlmacenar = numFotoAlmacenar + "";


        long retorno=0;
        managerBd = new DataBaseManager(this);

        Log.d("--Print: ", "Hoyactivity.onStop ..... Foto fecha,Estrellas,Texto   " + hoyFotoAlmacenar + " " + fechaBd + " " + hoyEstrellas + " " + hoyTexto + "  ");
       // retorno = managerBd.insertarComprobandoExitencia(fechaBd, hoyEstrellas, hoyTexto, hoyFotoAlmacenar,hoySintomas);
        if (retorno == -1) {
            Log.d("--Print: ", "Hoyactivity.onStop ..... No se ha podido guardar la entrada");
        }
        managerBd = new DataBaseManager(contexto);
        //Pruebas comprobamos si se ha guardado bien
        Cursor c = managerBd.buscarEntradaDiario(fechaBd);
        Log.d("--Print: ", "Hoyactivity.onStop c.getCount() " + c.getCount());
        if (c != null) {
            Log.d("--Print: ", "Hoyactivity.onStop. " + c);
            int cont = c.getCount();
            if (cont > 0) {
                c.moveToFirst();
                //  while ((!c.isAfterLast()) ){
                while (!c.isAfterLast()) {
                    bdFecha = c.getString(c.getColumnIndex(COL_FECHA));
                    bdId = c.getString(c.getColumnIndex(COL_ID));
                    bdEstrella = c.getString(c.getColumnIndex(COL_ESTRELLAS));
                    bdTexto = c.getString(c.getColumnIndex(COL_TEXTO));
                    bdImagen = c.getString(c.getColumnIndex(COL_IMAGEN));
                    Log.d("--Print: ", ".Hoyactivity.onStop c.getCount().BBDD " + " " + bdId + " " + bdFecha + " " + bdEstrella + " " + bdImagen + " " + bdTexto);
                    c.moveToNext();
                }
            }
        }
        c.close();
        /* TODO ondestroy() . Guardaremos el dia en la base de datos */
       /* for (int i=0;i <5 ; i++){
            Log.d("--Print: ", "HoyActivity.adapter: " + i);
            //Hoy 16 mayo comentado volver a descomentar
//            lvsintomas.getAdapter().getView(i, lvsintomas, lvsintomas);
        }
        txHoy.getText();
        Log.d("--Print: ", "HoyActivity.txHoy.getText(): " + txHoy.getText());
        tx_1.getText();
        Log.d("--Print: ", "HoyActivity.tx_1.getText(): " + tx_1.getText());
        Log.d("--Print: ", "HoyActivity.rb_1.getNumStars(): " + rb_Estrellas.getRating());
        imagen_1.getId();
        Log.d("--Print: ", "HoyActivity.imagen_1.getId(): " + imagen_1.getId());
        Log.d("--Print: ", "HoyActivity.imagen_1.Guarda en variable: pic" + numFotoAlmacenar);
      //  String hoyFecha= year+"-"+month+"-"+day;
        String hoyTexto= tx_1.getText()+"";
        String hoyEstrellas=rb_Estrellas.getRating()+"";
        String hoyFotoAlmacenar=numFotoAlmacenar+"";
        managerBd.insertar(fechaBd, hoyEstrellas, hoyTexto, hoyFotoAlmacenar);*/


  /*      for (int i = 0; i < sintomasArgs.length; i++) {
            Log.d("--Print: ", "HoyActivity.Hoyactivity.onStop: sintomasArgs.length: " + sintomasArgs.length);
            Log.d("--Print: ", "HoyActivity.Hoyactivity.onStop: " + i);
            View v = lvsintomas.getAdapter().getView(i, lvsintomas, lvsintomas);

            Log.d("--Print: ", "'''''''''''''''HoyActivity.Hoyactivity.onStop: " +v.getTag());
            Log.d("--Print: ", "Hoyactivity.onStop vsintomas.getId(): " +v.getId() );


        }*/

    }

        @Override
    public void onDestroy(){
        super.onDestroy();
            Log.d("--Print: ", "Hoyactivity.onDestroy");

    }

    public class BuscarTask extends AsyncTask<Void,Void,Void> {
        /**
         * Runs on the UI thread before {@link #doInBackground}.
         *
         * @see #onPostExecute
         * @see #doInBackground
         */
        @Override
        protected void onPreExecute() {
            Log.d("--Print: ", "HoyactivityBuscarTask.onPreExecute");
            Toast.makeText(getApplicationContext(), "Buscando....", Toast.LENGTH_SHORT).show();
            managerBd =new DataBaseManager(contexto);
            Log.d("--Print: ", "HoyactivityBuscarTask.onPreExecute fechaBd "+fechaBd);
            try {
                Cursor c =  managerBd.buscarEntradaDiario(fechaBd);
                //Cursor c = db.rawQuery("SELECT * FROM EntradaDiario where fecha=\"2010-11-03\"", null);
                Log.d("--Print: ", "Hoyactivity c.getCount() " + c.getCount());
                if(c != null){
                    Log.d("--Print: ", "Hoyactivity c. " + c);
                    int cont=c.getCount();
                    if(cont>0) {
                       c.moveToFirst();
                      //  while ((!c.isAfterLast()) ){
                        if(!c.isAfterLast()){
                            bdFecha = c.getString(c.getColumnIndex(COL_FECHA));
                            bdId = c.getString(c.getColumnIndex(COL_ID));
                            bdEstrella = c.getString(c.getColumnIndex(COL_ESTRELLAS));
                            bdTexto = c.getString(c.getColumnIndex(COL_TEXTO));
                            bdImagen = c.getString(c.getColumnIndex(COL_IMAGEN));
                            Log.d("--Print: ", ".HoyactivityBuscarTask.onPreExecute.BBDD " + " " + bdId + " " + bdFecha + " " + bdEstrella + " " + bdImagen + " " + bdTexto);
                            c.moveToNext();
                        }
                    }
                    else{
                        bdFecha=fechaBd;
                        bdEstrella = "0";
                        bdTexto = "";
                        bdImagen = "99";
                        Log.d("--Print: ", "HoyactivityBuscarTask.onPreExecute.BBDD: " + " " + bdId + " " + bdFecha + " " + bdEstrella + " " + bdImagen + " " + bdTexto);

                    }
                    c.close();
                }
               //Pintamos la pantalla Hoy con los datos de la base de datos
            pintarPantalla();


            }catch (Exception E){
                System.out.println ("Print Error Hoyactivity. Base de datos Error: "+E);
            }


        //    Cursor hoyCursor =  managerBd.buscarEntradaDiario(fechaBd);
         //   Log.d("--Print: ", "hoyCursor.onPreExecute.getCount "+ hoyCursor+" "+hoyCursor.getCount());
         //   if(hoyCursor != null){
         //       Log.d("--Print: ", "hoyCursor.onPreExecute.getCount "+hoyCursor.getCount());
         //       if (hoyCursor.getCount()>0) {
         //       String bdFecha = hoyCursor.getString(1);
         //       String bdEstrella = hoyCursor.getString(2);
         //       String bdImagen = hoyCursor.getString(3);
         //       String bdTexto = hoyCursor.getString(4);
         //       Log.d("--Print: ", "HoyActivity.BBDD: " +  " " + bdFecha + " " + bdEstrella + " " + bdImagen + " " + bdTexto);
         //       }
         //   }
        }

        /**
         * <p>Runs on the UI thread after {@link #doInBackground}. The
         * specified result is the value returned by {@link #doInBackground}.</p>
         * <p/>
         * <p>This method won't be invoked if the task was cancelled.</p>
         *
         * @param aVoid The result of the operation computed by {@link #doInBackground}.
         * @see #onPreExecute
         * @see #doInBackground
         * @see #onCancelled(Object)
         */
        @Override
        protected void onPostExecute(Void aVoid) {
            Log.d("--Print: ", "HoyactivityBuscarTask.onPostExecute");
//            adapterCursor.changeCursor(cursor);
        }

        /**
         * Runs on the UI thread after {@link #publishProgress} is invoked.
         * The specified values are the values passed to {@link #publishProgress}.
         *
         * @param values The values indicating progress.
         * @see #publishProgress
         * @see #doInBackground
         */
        @Override
        protected void onProgressUpdate(Void... values) {
            Log.d("--Print: ", "HoyactivityBuscarTask.onProgressUpdate");
            super.onProgressUpdate(values);
        }

        /**
         * Override this method to perform a computation on a background thread. The
         * specified parameters are the parameters passed to {@link #execute}
         * by the caller of this task.
         * <p/>
         * This method can call {@link #publishProgress} to publish updates
         * on the UI thread.
         *
         * @param params The parameters of the task.
         * @return A result, defined by the subclass of this task.
         * @see #onPreExecute()
         * @see #onPostExecute
         * @see #publishProgress
         */
        @Override
        protected Void doInBackground(Void... params) {
            Log.d("--Print: ", "HoyactivityBuscarTask.onProgressUpdate");
            //20MAyo  comentado pruebas
            //cursor =managerBd.buscarEntradaDiario(fechaBd);
            return null;
        }
    }

    public class RellenarTask extends AsyncTask<Void,Void,Void> {
        /**
         * Runs on the UI thread before {@link #doInBackground}.
         *
         * @see #onPostExecute
         * @see #doInBackground
         */
        @Override
        protected void onPreExecute() {
            Log.d("--Print: ", "Hoyactivity.RellenarTask.onPreExecute");
            Toast.makeText(getApplicationContext(), "Buscando....", Toast.LENGTH_SHORT).show();

        }

        /**
         * <p>Runs on the UI thread after {@link #doInBackground}. The
         * specified result is the value returned by {@link #doInBackground}.</p>
         * <p/>
         * <p>This method won't be invoked if the task was cancelled.</p>
         *
         * @param aVoid The result of the operation computed by {@link #doInBackground}.
         * @see #onPreExecute
         * @see #doInBackground
         * @see #onCancelled(Object)
         */
        @Override
        protected void onPostExecute(Void aVoid) {
            Log.d("--Print: ", "Hoyactivity.RellenarTask.onPostExecute");
            adapterCursor.changeCursor(cursor);
        }

        /**
         * Runs on the UI thread after {@link #publishProgress} is invoked.
         * The specified values are the values passed to {@link #publishProgress}.
         *
         * @param values The values indicating progress.
         * @see #publishProgress
         * @see #doInBackground
         */
        @Override
        protected void onProgressUpdate(Void... values) {
            Log.d("--Print: ", "Hoyactivity. RellenarTask.onProgressUpdate");
            super.onProgressUpdate(values);
        }

        /**
         * Override this method to perform a computation on a background thread. The
         * specified parameters are the parameters passed to {@link #execute}
         * by the caller of this task.
         * <p/>
         * This method can call {@link #publishProgress} to publish updates
         * on the UI thread.
         *
         * @param params The parameters of the task.
         * @return A result, defined by the subclass of this task.
         * @see #onPreExecute()
         * @see #onPostExecute
         * @see #publishProgress
         */
        @Override
        protected Void doInBackground(Void... params) {
            Log.d("--Print: ", "Hoyactivity.RellenarTask.onProgressUpdate");
            //Pruebas 20 Mayo 2015
          //  cursor =managerBd.buscarEntradaDiario(fechaBd);
            return null;
        }
    }

    private Intent setMiIntentPropiedades (Intent myIntent){

        Log.d("--Print: ", "Hoyactivity.setMiIntentPropiedades");
        Log.d("--Print: ", "Hoyactivity.setMiIntentPropiedades" + imagen_1.getId() + numFotoAlmacenar);
        myIntent.putExtra("dia", day+"");
        myIntent.putExtra("mes", month+"");
        myIntent.putExtra("anyo", year+"");
        myIntent.putExtra("estrellas", rb_Estrellas.getRating()+"");
        myIntent.putExtra("texto", tx_1.getText()+"");
        myIntent.putExtra("foto", numFotoAlmacenar + "");
        myIntent.putExtra("actividad",ACTIVIDAD);

        Log.d("--Print: ", "Hoyactivity.setMiIntentPropiedades: "+
                ACTIVIDAD + " "+
                day + " " +
                month + " " +
                year + " " +
                rb_Estrellas.getRating() + " " +
                tx_1.getText() +" "+
                numFotoAlmacenar+" ");

        return myIntent;
    }
    private Intent getMiIntentPropiedades (Intent myIntent){
        Log.d("--Print: ", "Hoyactivity.getMiIntentPropiedades");

        if(myIntent !=null) {
            Bundle bundle = myIntent.getExtras();
            Log.d("--Print: ", "Hoyactivity.getMiIntentPropiedades. bundle: " + bundle);
            if (bundle != null) {
                String dia = bundle.getString("dia");
                String mes = bundle.getString("mes");
                String year = bundle.getString("anyo");
                String estrellas = bundle.getString("estrellas");
                String texto = bundle.getString("texto");
                String foto = bundle.getString("foto");
                String ac = bundle.getString("actividad");

                Log.d("--Print: ", "Hoyactivity.setMiIntentPropiedades: " +
                        ac + " " +
                        dia + " " +
                        mes + " " +
                        year + " " +
                        estrellas + " " +
                        texto + " " +
                        foto + " ");
            }
        }
        return getIntent();
    }
    private void setDiaActual(){
        Log.d("--Print: ", "HoyActivity.setDiaActual ");
        //Preparamos el campo de Fecha actual
        cal = Calendar.getInstance();
        day = cal.get(Calendar.DAY_OF_MONTH);
        month = cal.get(Calendar.MONTH);
        year = cal.get(Calendar.YEAR);
        //debido a que los meses en java comienzan en cero sumamos 1 al mes para obtener el formato deseado
        month = month + 1;
        String tDay = day+"";
        tDay=tDay.trim();
        while(tDay.length()<2) {
            tDay = "0"+tDay;
        }
        String tMonth = month+"";
        tMonth=tMonth.trim();
        while(tMonth.length()<2) {
            tMonth = "0"+tMonth;
        }
        String tYear = year+"";
        tYear=tYear.trim();
        if(tYear.length()<4) {
            tYear = "0000";
        }
        fechaPantalla=tDay + "/" + tMonth + "/" + tYear;
        txHoy.setText(fechaPantalla);
        //base de datos preparamos los datos

        fechaBd=tYear+"-"+tMonth+"-"+tDay;

        Log.d("--Print: ", "HoyActivity.setDiaActual tDay + \"/\" + tMonth + \"/\" + tYear:" +tDay + tMonth + tYear + fechaPantalla);
        Log.d("--Print: ", "HoyActivity.setDiaActual tYear+\"-\"+tMonth+\"-\"+tDay:" +  tYear + tMonth +tDay +fechaBd);
    }

    private void setDiaCalendarioAct(Intent intent){
        Log.d("--Print: ", "HoyActivity.setDiaCalendario ");
        myIntentHelper=new IntentHelper();
        String bDia=myIntentHelper.getDia(i);
        String bMes=myIntentHelper.getMes(i);
        String bYear=myIntentHelper.getYear(i);
        Log.d("--Print: ", "HoyActivity.setDiaCalendario bDia" + bDia+ " bMes"+ bMes +" bYear"+bYear);
        if("99".equals(bDia) || "99".equals(bMes) || "99".equals(bYear)|| "0000".equals(bYear)){
            Log.d("--Print: ", "HoyActivity.setDiaCalendario 9999????????????????   bDia" + bDia+ " bMes"+ bMes +" bYear"+bYear);
            Toast.makeText(getApplicationContext(), "Ha ocurrido un Error se mostrará el día actual...." , Toast.LENGTH_SHORT).show();
            setDiaActual();
        }
        else{
            try {
                fechaPantalla=bDia + "/" + bMes + "/" + bYear;
                txHoy.setText(fechaPantalla);
               //base de datos preparamos los datos
                fechaBd=bYear+"-"+bMes+"-"+bDia;
                day=Integer.parseInt(bDia);
                month=Integer.parseInt(bMes);
                year=Integer.parseInt(bYear);
                Log.d("--Print: ", "HoyActivity.setDiaCalendario : "+day+" "+ month+" "+year);
           // base de datos preparamos los datos
            }catch (Exception E){
                Log.d("--Print: ", "HoyActivity.setDiaCalendario Error: " +E);
                Toast.makeText(getApplicationContext(), "Fecha Ha ocurrido un Error se mostrará el día actual....", Toast.LENGTH_SHORT).show();
                setDiaActual();
            };

        }
        Log.d("--Print: ", "HoyActivity.setDiaCalendario ");
    }
    private void setFotoAct(Intent intent){
        Log.d("--Print: ", "HoyActivity.setFoto ");
        //Inicializamos la foto que se va a ver
        String foto=myIntentHelper.getFoto(i);
        int numeroFoto =Integer.parseInt(foto);
        Log.d("--Print: ", "HoyActivity.setFoto: " + numeroFoto);
        if (numeroFoto != 99) {
            String nombreFoto = "pic" + numeroFoto;
            numFotoAlmacenar = numeroFoto;
            Log.d("--Print: ", "HoyActivity.setFotoo " + nombreFoto);
            imagen_1.setImageResource(imagenes[numeroFoto]);

        }
        else {
            Log.d("--Print: ", "PRUEBASSSSSSSSSSSSS HoyActivity.setFoto: " + 99);
            numFotoAlmacenar=99;
            imagen_1.setImageResource(imagenes[99]);
        }
        Log.d("--Print: ", "PRUEBASSSSSSSSSSSSS HoyActivity.setFoto: numFotoAlmacenar "+ numFotoAlmacenar);
    }
    private void setTextoAct(Intent intent){
        Log.d("--Print: ", "HoyActivity.setTexto ");
        //Inicializamos el texto que se va mostrar
        String texto=myIntentHelper.getTexto(i);
        Log.d("--Print: ", "HoyActivity.setTexto: " + texto);
        tx_1.setText(texto);
    }

    private void setEstrellasAct(Intent intent) {
        Log.d("--Print: ", "HoyActivity.setEstrellas ");
        //Inicializamos el texto que se va mostrar
        String estrellas=myIntentHelper.getEstrellas(i);
        Log.d("--Print: ", "HoyActivity.setEstrellas: " + estrellas);
        Float nEstrella=Float.parseFloat(estrellas);
        rb_Estrellas.setRating(nEstrella);
    }

    private void pintarPantalla(){

        Log.d("--Print: ", "HoyActivity.pintarPantalla ");

        tx_1 = (EditText)findViewById(R.id.etx_1);
        try {
            rb_Estrellas.setRating(Float.parseFloat (bdEstrella));
        }catch (Exception E){
            rb_Estrellas.setRating(0);
        }
        try{

             int numeroFoto =Integer.parseInt(bdImagen);
            Log.d("--Print: ", "HoyActivity.pintarPantalla bdImagen "+bdImagen + " numeroFoto" +numeroFoto);
            if (numeroFoto != 99 ) {
                String nombreFoto = "pic" + numeroFoto;
                numFotoAlmacenar = numeroFoto;

            imagen_1.setImageResource(imagenes[numeroFoto]);

        }
        }catch (Exception E){
            Log.d("--Print: ", "HoyActivity.pintarPantalla Foto Exception "+E);
            numFotoAlmacenar=99;

        }
        Log.d("--Print: ", "HoyActivity.pintarPantalla bdFecha "+bdFecha);
        Log.d("--Print: ", "HoyActivity.pintarPantalla La que utilizo!!! fechaBd "+fechaBd);
      //  txHoy.setText(bdFecha );

        txHoy.setText(fechaPantalla );

        tx_1.setText(bdTexto);
        lvsintomas= (ListView) findViewById(R.id.lvSintomas);
    }
    private void limpiarPantalla(){
        Log.d("--Print: ", "HoyActivity.limpiarPantalla ");

    }

    private void setDatosOtraActividad(){
        Log.d("--Print: ", "HoyActivity.setDatosOtraActividad ");
        i = getIntent();
        Log.d("--Print: ", "Hoyactivity.Miramos si venimos de otra actividad. i: " + i);
        myIntentHelper=new IntentHelper();

        String actividad= myIntentHelper.getActividad(i);

        Log.d("--Print: ", "HoyActivity.setDatosOtraActividad " + actividad);
        switch (actividad) {
            case "MainActivity":
                setDiaActual();
                /* TODO Hay que Buscar en la base de datos si hay algo guardado de hoy */
                /* TODO Hay que Setear la pantalla si hay datos en la base de datos */
                new BuscarTask().execute();
                break;
            case "CalendarioActivity":
                 setDiaCalendarioAct(i);
                /*TODO Hay que buscar en la base de datos los datos realacionados con la fecha que llega */
                new BuscarTask().execute();
                break;
            case "HoyActivity":
                setDiaActual();
                 /*TODO Hay que buscar en la base de datos los datos realacionados con la fecha que llega */
                new BuscarTask().execute();
                break;
            case "SintomasActivity":
                //en principio este caso no esta contemplado
                break;
            case "FotosActivity":
                //Seteamos la fecha
                setDiaCalendarioAct(i);
                //Setamos la foto
                setFotoAct(i);
                //setamos las estrellas
                setEstrellasAct(i);
                //setamos el texto
                setTextoAct(i);
                //seteamos el listado.
                /*TODO Hay que setear la imagen en la pantalla y recuperar todos los datos que tuviesemos asociados*/
                break;
            case "SplashActivity":
                //en principio este caso no esta contemplado
                break;
            default:
                //Se viene desde el menu inicial sin intent (Main activity)
                setDiaActual();
                new BuscarTask().execute();

                //Toast.makeText(getApplicationContext(), "Default: Ha ocurrido un Error se mostrará el día actual...."+actividad , Toast.LENGTH_SHORT).show();
                break;
        }

    }
    public int getnumeroImagen(String imagen){
        Log.d("--Print: ", "HoyActivity.getnumeroImagen " + imagen);
        int numImagen = 99;
        imagen = imagen.substring(4);
        try {
            numImagen = Integer.parseInt(imagen);
        }catch (Exception E){
            numImagen = 99;
        }
        Log.d("--Print: ", "HoyActivity.getnumeroImagen " + imagen +" + return "+numImagen);

        return numImagen;
    }

}

