package cmht.tfm.uoc.diariosalud;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.os.Handler;

import cmht.tfm.uoc.diariosalud.clases.DataBaseManager;

public class SplashActivity extends Activity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d("--Print: ", "SplashActivity.onCreate");
        super.onCreate(savedInstanceState);
        //Ocultamos el actionBar
        ActionBar actionBar = getActionBar();
        if (actionBar != null) {
            actionBar.hide();
        }
        //Creamos la base datos;
        //Insertamos unos datos para poder hacer pruebas estas lines se quitarian
        // Log.d("--Print: ", "SplashActivity.onCreate.Inserto datos par pruebas");
        DataBaseManager managerBd = new DataBaseManager(this);
        try {

            managerBd.insertarComprobandoExitencia("2015-05-15", "0", "No hay estrellas pero la foto  es la 8 ", "7", "Dolor Muscular, Fatiga, Somnolencia, Tristeza, Dolor mandibula, Problemas concentracion, Boca y ojos secos");
            managerBd.insertarComprobandoExitencia("2015-05-16", "1", "1 estrella y la foto 2", "1", "Dolor Muscular, Fatiga, Somnolencia");
            managerBd.insertarComprobandoExitencia("2015-05-17", "2", "2 estrella y Pogo foto 14", "13", "Problemas concentracion");
            managerBd.insertarComprobandoExitencia("2015-05-18", "3", "3 estrella y Pogo foto 10", "9", "Boca y ojos secos");
            managerBd.insertarComprobandoExitencia("2015-05-19", "4", "4 estrella y Pogo foto 15 ", "15", "Fatiga");
            managerBd.insertarComprobandoExitencia("2015-05-20", "5", "5 estrellas y no pongo foto", "0", " Tristeza, Dolor mandibula, Problemas concentracion, Boca y ojos secos");
            managerBd.insertarComprobandoExitencia("2015-06-17", "2", "Hoy viene a casa mi familia", "4", "Dolor Muscular, Fatiga, Somnolencia, Tristeza, Dolor mandibula, Problemas concentracion, Boca y ojos secos");

        } catch (Exception E) {
            Log.d("--Print: ", "SplashActivity.onPreExecute.Base de datos Error: " + E);
        }

        // Seteamos la vista a mostrar
        setContentView(R.layout.activity_splash);

        int DURATION_SPLASH = 3000;
        new Handler().postDelayed(new Runnable() {
            public void run() {
                Log.d("--Print: ", "SplashActivity.onPreExecute..run");
                // Muestra nuestra pantallla el tiempo que hemos indicado y luego muestra la actividad principal
                Intent intent = new Intent(SplashActivity.this, MainActivity.class);
                startActivity(intent);
                //cerramos la actividad
                finish();
            }
        }, DURATION_SPLASH);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_splash, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
