package cmht.tfm.uoc.diariosalud.adaptadores;

import android.app.Activity;
import android.inputmethodservice.Keyboard;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import cmht.tfm.uoc.diariosalud.HoyActivity;
import cmht.tfm.uoc.diariosalud.R;
import cmht.tfm.uoc.diariosalud.clases.Sintoma;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.TextView;

/**
 * Created by cmht on 6/05/2015.
 */

public class AdaptadorSintomas extends ArrayAdapter {
    Activity context;
    Sintoma[] sintomas;

    public AdaptadorSintomas(Activity context, Sintoma[] sintomas) {
        //tengo que cambiar activity HOY por el layout que necesito
        super(context, R.layout.adaptador_listado_sintomas, sintomas);
        this.context = context;
        this.sintomas = sintomas;
    }


    public View getView2(int position, View contentView, ViewGroup parent) {
        Log.d("--Print: ", "AdaptadorSintomas.getView");

        LayoutInflater inflater = context.getLayoutInflater();
        View vista = inflater.inflate(R.layout.adaptador_listado_sintomas, null);

        TextView nombre = (TextView) vista.findViewById(R.id.tvNombreSintoma);
        nombre.setText(sintomas[position].getNombre());
        RadioGroup rgSintomas = (RadioGroup) vista.findViewById(R.id.rbGroupSintomas);
        int idSintoma = rgSintomas.getCheckedRadioButtonId();
        //dejamos sin marcar ningun check
        rgSintomas.clearCheck();

        //RadioButton rbSintoma1 = (RadioButton) vista.findViewById(R.id.rbSintoma1);
        RadioButton rbSintoma2 = (RadioButton) vista.findViewById(R.id.rbSintoma2);
        RadioButton rbSintoma3 = (RadioButton) vista.findViewById(R.id.rbSintoma3);
        RadioButton rbSintoma4 = (RadioButton) vista.findViewById(R.id.rbSintoma4);
        //    Log.d("--Print: ", "AdaptadorSintomas.rbSintoma2-: " + rbSintoma2.isChecked());
        //    Log.d("--Print: ", "AdaptadorSintomas.rbSintoma3-: " + rbSintoma3.isChecked());
        //    Log.d("--Print: ", "AdaptadorSintomas.rbSintoma4-: " + rbSintoma4.isChecked());
        //Inicilamente los dejo inactivos
        // Log.d("--Print: ", "AdaptadorSintomas.Inicilamente los dejo inactivos");
        // rbSintoma2.setEnabled(false);
        // rbSintoma3.setEnabled(false);
        // rbSintoma4.setEnabled(false);
        int idSi = 0;
        if (sintomas[position] != null) {
            idSi = sintomas[position].getEstado();
        }
        ;
        //    Log.d("--Print: ", "AdaptadorSintomas.getView- idSi: " + idSi);
        switch (idSi) {
            //case 0:
            // rbSintoma1.setChecked(true);
            // break;
            case 1:
                rbSintoma2.setChecked(true);
                rbSintoma3.setChecked(false);
                rbSintoma4.setChecked(false);
                break;
            case 2:
                rbSintoma3.setChecked(true);
                rbSintoma2.setChecked(false);
                rbSintoma4.setChecked(false);
                break;
            case 3:
                rbSintoma4.setChecked(true);
                rbSintoma3.setChecked(false);
                rbSintoma2.setChecked(false);
                break;
            default:
                rbSintoma2.setChecked(false);
                rbSintoma3.setChecked(false);
                rbSintoma4.setChecked(false);
                break;
        }
        CheckBox cbSintoma = (CheckBox) vista.findViewById(R.id.cbSintoma);
        if (sintomas[position].getActivo()) {
            cbSintoma.setChecked(true);
        } else {
            cbSintoma.setChecked(false);
        }

        return vista;
    }

    @Override
    public View getView(final int position, View contentView, ViewGroup parent) {
        Log.d("--Print: ", "****AdaptadorSintomas.getView: pos vista grupo: " + position + " ;" + contentView + " ;" + parent);
        // Vista sintoma
        SintomaVista vSintoma = null;
        // Log.d("--Print: ", "AdaptadorSintomas.getView. contentView :" + contentView);
        if (contentView != null) {
            //    Log.d("--Print: ", "AdaptadorSintomas.getView. contentView.getTag() :" + contentView.getTag());
        }
        if (contentView == null || contentView.getTag() == null) {
            vSintoma = new SintomaVista();

            LayoutInflater inflater = context.getLayoutInflater();
            contentView = inflater.inflate(R.layout.adaptador_listado_sintomas, null);

            vSintoma.setRgEstado((RadioGroup) contentView.findViewById(R.id.rbGroupSintomas));
            vSintoma.setCbActivo((CheckBox) contentView.findViewById(R.id.cbSintoma));
            vSintoma.setTvNombreSintoma((TextView) contentView.findViewById(R.id.tvNombreSintoma));
            vSintoma.setRbEstado1((RadioButton) contentView.findViewById(R.id.rbSintoma2));
            vSintoma.setRbEstado2((RadioButton) contentView.findViewById(R.id.rbSintoma3));
            vSintoma.setRbEstado3((RadioButton) contentView.findViewById(R.id.rbSintoma4));

            contentView.setTag(vSintoma);

            vSintoma = (SintomaVista) contentView.getTag();
//            Log.d("--Print: ", "IF+++ AdaptadorSintomas.getView. vSintomagetTag :" + contentView.getTag());
//            Log.d("--Print: ", "IF+++ AdaptadorSintomas.getView. vSintoma :" + vSintoma);

        } else {
            vSintoma = (SintomaVista) contentView.getTag();
//            Log.d("--Print: ", "ELSE+++ AdaptadorSintomas.getView. vSintoma :" + vSintoma);
            if (vSintoma != null) {
//                Log.d("--Print: ", "ELSE+++ AdaptadorSintomas.getView. vSintoma :" + vSintoma.toString());
            }
        }

        final Sintoma s = (Sintoma) getItem(position);
        if (s != null && vSintoma != null) {
            vSintoma.getCbActivo().setChecked(s.getActivo());
            vSintoma.getTvNombreSintoma().setText(s.getNombre());
            //   vSintoma.getRgEstado().
            vSintoma.getCbActivo().setTag(s.getNombre());
            vSintoma.getRbEstado1().setTag(s.getNombre());
            vSintoma.getRbEstado2().setTag(s.getNombre());
            vSintoma.getRbEstado3().setTag(s.getNombre());
            int idSintoma = s.getEstado();
//            Log.d("--Print: ", "AdaptadorSintomas.getView- idSintoma: " + idSintoma);
            switch (idSintoma) {
                case 1:
                    vSintoma.getRbEstado1().setChecked(true);
                    vSintoma.getRbEstado2().setChecked(false);
                    vSintoma.getRbEstado3().setChecked(false);
                    break;
                case 2:
                    vSintoma.getRbEstado1().setChecked(false);
                    vSintoma.getRbEstado2().setChecked(true);
                    vSintoma.getRbEstado3().setChecked(false);
                    break;
                case 3:
                    vSintoma.getRbEstado1().setChecked(false);
                    vSintoma.getRbEstado2().setChecked(false);
                    vSintoma.getRbEstado3().setChecked(true);
                    break;
                default:
                    vSintoma.getRbEstado1().setChecked(false);
                    vSintoma.getRbEstado2().setChecked(false);
                    vSintoma.getRbEstado3().setChecked(false);
                    break;
            }

            //changeBackground(getContext(), contentView, s.getActivo());
            final View fila = contentView;
            vSintoma.getCbActivo().setOnCheckedChangeListener(new OnCheckedChangeListener() {
                @Override
                public void onCheckedChanged(CompoundButton view, boolean isChecked) {
                    Log.d("--Print: ", "AdaptadorSintomas.getView- getCbActivo().setOnCheckedChangeListener: isChecked: " + isChecked);
                    //asegura que se modifica la Row originalmente asociado a este checkbox
                    //para evitar que al reciclar la vista se reinicie el row que antes se mostraba en esta
                    //fila. Es imprescindible tagear el Row antes de establecer el valor del checkbox
                    if (view.getTag() != null) {
                        if (s.getNombre().equals(view.getTag().toString())) {
                            s.setActivo(isChecked);
                            if (!isChecked) {
                                s.setEstado(0);
                            }
                            s.getEstado();
                            //changeBackground(AdaptadorSintomas.this.getContext(), fila, isChecked);
                        }
                    }
                }
            });
            vSintoma.getRbEstado1().setOnCheckedChangeListener(new OnCheckedChangeListener() {
                @Override
                public void onCheckedChanged(CompoundButton view, boolean isChecked) {
                    Log.d("--Print: ", "AdaptadorSintomas.getRbEstado1().setOnCheckedChangeListener isChecked: " + isChecked);
                    //asegura que se modifica la Row originalmente asociado a este checkbox
                    //para evitar que al reciclar la vista se reinicie el row que antes se mostraba en esta
                    //fila. Es imprescindible tagear el Row antes de establecer el valor del checkbox
                    if (view.getTag() != null) {
                        if (s.getNombre().equals(view.getTag().toString())) {
                            s.setEstado(1);
                            //changeBackground(AdaptadorSintomas.this.getContext(), fila, isChecked);
                        }
                    } else
                        Log.d("--Print: ", "AdaptadorSintomas.getRbEstado1().setOnCheckedChangeListener view.getTag(): " + view.getTag());
                }
            });
            vSintoma.getRbEstado2().setOnCheckedChangeListener(new OnCheckedChangeListener() {
                @Override
                public void onCheckedChanged(CompoundButton view, boolean isChecked) {
                    Log.d("--Print: ", "AdaptadorSintomas.getRbEstado2().setOnCheckedChangeListener isChecked: " + isChecked);
                    //asegura que se modifica la Row originalmente asociado a este checkbox
                    //para evitar que al reciclar la vista se reinicie el row que antes se mostraba en esta
                    //fila. Es imprescindible tagear el Row antes de establecer el valor del checkbox
                    if (view.getTag() != null) {
                        if (s.getNombre().equals(view.getTag().toString())) {
                            s.setEstado(2);
                            //   changeBackground(AdaptadorSintomas.this.getContext(), fila, isChecked);
                        }
                    } else
                        Log.d("--Print: ", "AdaptadorSintomas.getRbEstado2().setOnCheckedChangeListener view.getTag(); " + view.getTag());
                }
            });
            vSintoma.getRbEstado3().setOnCheckedChangeListener(new OnCheckedChangeListener() {
                @Override
                public void onCheckedChanged(CompoundButton view, boolean isChecked) {
                    Log.d("--Print: ", "AdaptadorSintomas.getRbEstado3().setOnCheckedChangeListener isChecked: " + isChecked);
                    //asegura que se modifica la Row originalmente asociado a este checkbox
                    //para evitar que al reciclar la vista se reinicie el row que antes se mostraba en esta
                    //fila. Es imprescindible tagear el Row antes de establecer el valor del checkbox
                    if (view.getTag() != null) {
                        if (s.getNombre().equals(view.getTag().toString())) {
                            s.setEstado(3);
                            //changeBackground(AdaptadorSintomas.this.getContext(), fila, isChecked);
                        }
                    } else
                        Log.d("--Print: ", "AdaptadorSintomas.getRbEstado3().setOnCheckedChangeListener view.getTag(): " + view.getTag());
                }
            });
        }

        return contentView;
    }
}

/**
 * Set the background of a row based on the value of its checkbox value. Checkbox has its own style.
 */
/*        @SuppressWarnings("deprecation")
        private void changeBackground(Context context, View row, boolean checked)
        {
            if (checked)
            {
                row.setBackgroundDrawable((context.getResources().getDrawable(R.drawable.listview_selector_checked)));
            }
            else
            {
                row.setBackgroundDrawable(context.getResources().getDrawable(R.drawable.listview_selector));
            }
        }


    }
*/

//PPRUEBAS
        /*
        Log.d("--Print: ","+++ AdaptadorSintomas.getView. sintoma :" +vSintoma.getTvNombreSintoma());
        Sintoma sintoma = sintomas[position];
        Log.d("--Print: ","AdaptadorSintomas.getView. sintoma :" +sintoma);
        String nombre = "";
        boolean activo = false;
        int estado = 0;
        if (sintoma != null) {
            Log.d("--Print: ", "AdaptadorSintomas.getView. sintoma toString :" + sintoma.toString());
            nombre = sintomas[position].getNombre();
            activo = sintomas[position].getActivo();
            estado = sintomas[position].getEstado();

            Log.d("--Print: ", "vSintoma.getCbActivo() :" + vSintoma.getCbActivo());
            if (vSintoma != null) {
                vSintoma.getCbActivo().setChecked(activo);
                vSintoma.getTvNombreSintoma().setText(nombre);

                int idSintoma = 0;
                if (sintomas[position] != null) {
                    idSintoma = estado;
                }
                ;
                Log.d("--Print: ", "AdaptadorSintomas.getView- idSintoma: " + idSintoma);
                switch (idSintoma) {
                    case 1:
                        vSintoma.getRbEstado1().setChecked(true);
                        vSintoma.getRbEstado2().setChecked(false);
                        vSintoma.getRbEstado3().setChecked(false);
                        break;
                    case 2:
                        vSintoma.getRbEstado1().setChecked(false);
                        vSintoma.getRbEstado2().setChecked(true);
                        vSintoma.getRbEstado3().setChecked(false);
                        break;
                    case 3:
                        vSintoma.getRbEstado1().setChecked(false);
                        vSintoma.getRbEstado2().setChecked(false);
                        vSintoma.getRbEstado3().setChecked(true);
                        break;
                    default:
                        vSintoma.getRbEstado1().setChecked(false);
                        vSintoma.getRbEstado2().setChecked(false);
                        vSintoma.getRbEstado3().setChecked(false);
                        break;
                }
            }
        }
        return contentView;
    }

}
*/
class SintomaVista {

    CheckBox cbActivo;
    TextView tvNombreSintoma;
    RadioGroup rgEstado;
    RadioButton rbEstado1;
    RadioButton rbEstado2;
    RadioButton rbEstado3;

    public CheckBox getCbActivo() {
        return cbActivo;
    }

    public void setCbActivo(CheckBox cbActivo) {
        this.cbActivo = cbActivo;
    }

    public TextView getTvNombreSintoma() {
        return tvNombreSintoma;
    }

    public void setTvNombreSintoma(TextView tvNombreSintoma) {
        this.tvNombreSintoma = tvNombreSintoma;
    }

    public RadioGroup getRgEstado() {
        return rgEstado;
    }

    public void setRgEstado(RadioGroup rgEstado) {
        this.rgEstado = rgEstado;
    }

    public RadioButton getRbEstado1() {
        return rbEstado1;
    }

    public void setRbEstado1(RadioButton rbEstado1) {
        this.rbEstado1 = rbEstado1;
    }

    public RadioButton getRbEstado2() {
        return rbEstado2;
    }

    public void setRbEstado2(RadioButton rbEstado2) {
        this.rbEstado2 = rbEstado2;
    }

    public RadioButton getRbEstado3() {
        return rbEstado3;
    }

    public void setRbEstado3(RadioButton rbEstado3) {
        this.rbEstado3 = rbEstado3;
    }

    @Override
    public String toString() {
        return "SintomaVista{" +
                "cbActivo=" + cbActivo.isChecked() +
                ", tvNombreSintoma=" + tvNombreSintoma.getText() +
                ", rgEstado=" + rgEstado +
                ", rbEstado1=" + rbEstado1.isChecked() +
                ", rbEstado2=" + rbEstado2.isChecked() +
                ", rbEstado3=" + rbEstado3.isChecked() +
                '}';
    }
}
