package cmht.tfm.uoc.diariosalud.clases;

import android.content.Context;
import android.database.Cursor;
import android.util.Log;
import cmht.tfm.uoc.diariosalud.R;

/**
 * Created by cmht on 24/05/2015.
 */
public class SintomaHandler {
    public static final String COL_FECHA = "fecha";
    public static final String COL_SINTOMAS = "sintomas";
    String informefinal = "";
    String informePeridoTiempo = "";
    String informeSintomasDia = "";
    String informeDetalleSintoma = "";
    String finInforme= "";
    int numeroSintomas[] = {0, 0, 0, 0, 0, 0, 0, 0};
    int frecuenciaSintomas[] = {0, 0, 0, 0, 0, 0, 0};

    public String gestionSintomas(Cursor c, String fecha1, String fecha2, Context context) {
        Log.d("--Print: ", "SintomaHandler.gestionSintomas ");
        String sintomas[];
        int tam = 0;
    //Utilizamos un array con el nombre de los sintomas
        String[] listaS = new String[] { (context.getString(R.string.txSintoma1)),
                (context.getString (R.string.txSintoma2)),
                (context.getString(R.string.txSintoma3)),
                (context.getString(R.string.txSintoma4)),
                (context.getString (R.string.txSintoma10)),
                (context.getString(R.string.txSintoma6)),
                (context.getString (R.string.txSintoma9))};
        //Trabajamos con el cursor de datos que hemos obtenido de la bbdd
        if (c != null) {
            tam = c.getCount();
            int cont = 0;
            sintomas = new String[tam];
            if (tam > 0) {
                c.moveToFirst();
                while (!c.isAfterLast()) {
                    sintomas[cont] = c.getString(c.getColumnIndex(COL_SINTOMAS));
                    Log.d("--Print: ", "SintomaHandler.gestionSintomas:  BBDD:" + sintomas[cont] + " Fecha: " + c.getString(c.getColumnIndex(COL_FECHA)));
                    cont = cont + 1;
                    c.moveToNext();
                }
            }
        } else {
            sintomas = new String[0];
        }

       //Llamamos a uno de los metodo que va a gestionar los sintomas
        contadorSintomas(sintomas);

        //empezamos a rellenar el informe
        informePeridoTiempo=" Este informe es generado automaticamente desde la aplicacion mi diario de salud. ";
        informePeridoTiempo = informePeridoTiempo+"En el periodo de tiempo indicado entre " + fecha1 + " y " + fecha2 + "  hay " + tam;
        if (tam == 0) {
            informePeridoTiempo = informePeridoTiempo + " entradas en el Diario de Salud: No hay ningun informe que se pueda redactar. \n";
        }
        else {
            if (tam > 1) {
                informePeridoTiempo = informePeridoTiempo + " entradas en el Diario de Salud. \n";
            } else {
                informePeridoTiempo = informePeridoTiempo + " entrada en el Diario de Salud. \n";
            }
            informeSintomasDia = "\nEn cuanto al numero de sintomas por dia";
            for (int i = 0; i < numeroSintomas.length; i++) {
              if (i == 0) {
                    informeSintomasDia = informeSintomasDia + ", no ha tenido ningun sintoma ";
                } else {
                    informeSintomasDia = informeSintomasDia + ", ha tenido " + (i);
                    if (i > 1) {
                        informeSintomasDia = informeSintomasDia + " sintomas ";
                    } else {
                        informeSintomasDia = informeSintomasDia + " sintoma ";
                    }
                }
                if (numeroSintomas[i] == 1) {
                    informeSintomasDia = informeSintomasDia +  numeroSintomas[i] + "  vez";
                } else {
                    informeSintomasDia = informeSintomasDia +  +numeroSintomas[i] + " veces";
                }
            }
            informeSintomasDia=informeSintomasDia+ " .";
            //Llamamos a uno de los metodo que va a gestionar los sintomas
            frecuenciaSintomas(sintomas);

            //Seguimos rellenando el informe
            if(tam==1){
                informeDetalleSintoma = "Durante este dia, se han tenido los siguientes sintomas: \n";
            }
            else {
                informeDetalleSintoma = "Durante estos " + tam + " dias, se han tenido los siguientes sintomas: \n";
            }
            String nombreSintoma;
            for (int i = 0; i < frecuenciaSintomas.length; i++) {
                nombreSintoma = listaS[i];
                informeDetalleSintoma = informeDetalleSintoma + nombreSintoma +" " + frecuenciaSintomas[i];
                if (frecuenciaSintomas[i] == 1) {

                    informeDetalleSintoma = informeDetalleSintoma + " vez. ";
                } else {
                    informeDetalleSintoma = informeDetalleSintoma + " veces. ";
                }
            }
            //finalizamos el informe
            finInforme=" Esperamos que el informe le sea de utilidad.";
        }

        informefinal = informePeridoTiempo +"\n"+  informeDetalleSintoma +"\n"+ informeSintomasDia+"\n\n"+ finInforme ;
        //enviamos el informe
        return informefinal;
    }

    private void contadorSintomas(String sintomas[]) {
        Log.d("--Print: ", "SintomaHandler.contadorSintomas:  ");
        int tam = sintomas.length;
        for (int i = 0; i < tam; i++) {
              if (sintomas[i].length() > 0) {
                char letra = ','; //Miramos cuantas comas hay
                int veces = 0;
                //recorremos el sintoma
                for (int j = 0; j < sintomas[i].length(); j++) {
                    //busco la coincidencia
                    if (sintomas[i].charAt(j) == letra) {
                    veces++; //aumento veces
                    }
                }
                switch (veces) {
                    case 0:
                        //no hay comas hay un sintoma
                        numeroSintomas[1] = numeroSintomas[1] + 1;
                        break;
                    case 1:
                        numeroSintomas[2] = numeroSintomas[2] + 1;
                        break;
                    case 2:
                        numeroSintomas[3] = numeroSintomas[3] + 1;
                        break;
                    case 3:
                        numeroSintomas[4] = numeroSintomas[4] + 1;
                        break;
                    case 4:
                        numeroSintomas[5] = numeroSintomas[5] + 1;
                        break;
                    case 5:
                        numeroSintomas[6] = numeroSintomas[6] + 1;
                        break;
                    case 6:
                        numeroSintomas[7] = numeroSintomas[7] + 1;
                        break;
                    default:
                        break;
                }

            } else {
                numeroSintomas[0] = numeroSintomas[0] + 1;
            }
        }
    }

    /**
     * Metodo que busca la frecuencia de los sintomas
     *
     */
    private void frecuenciaSintomas(String sintomas[]) {
        Log.d("--Print: ", "SintomaHandler.frecuenciaSintomas:  ");

        String auxlista[];

        for (int i = 0; i < sintomas.length; i++) {
            Log.d("--Print: ", "SintomaHandler.frecuenciaSintomas: " + i + " " + sintomas[i]);
            if (sintomas[i].length() > 0) {
                auxlista = sintomas[i].split(",");
                    for (int k = 0; k < auxlista.length; k++) {
                        String sintoma=auxlista[k].trim();
                        switch (sintoma) {
                            case "Dolor Muscular":
                                frecuenciaSintomas[0] = frecuenciaSintomas[0] + 1;
                                break;
                            case "Fatiga":
                                frecuenciaSintomas[1] = frecuenciaSintomas[1] + 1;
                                break;
                            case "Somnolencia":
                                frecuenciaSintomas[2] = frecuenciaSintomas[2] + 1;
                                break;
                            case "Tristeza":
                                frecuenciaSintomas[3] = frecuenciaSintomas[3] + 1;
                                break;
                            case "Dolor mandibula":
                                frecuenciaSintomas[4] = frecuenciaSintomas[4] + 1;
                                break;
                            case "Problemas concentracion":
                                frecuenciaSintomas[5] = frecuenciaSintomas[5] + 1;
                                break;
                            case "Boca y ojos secos":
                                frecuenciaSintomas[6] = frecuenciaSintomas[6] + 1;
                                break;
                            default:
                                break;
                        }
                    }
            }
        }
    }
}


